### Class

# GUPnPAV MediaCollection

#### Description [src]

    class GUPnPAV.MediaCollection : GObject.Object
    {
      /* No available fields */
    }

Media collection writer

`GUPnPMediaCollection` is a helper class for writing media collection files.

#### Ancestors

- GObject

#### Constructors

###### gupnp_media_collection_new

Create a new writable media collection.

###### gupnp_media_collection_new_from_string

Parse a new `GUPnPMediaCollection` from a block of XML data.

#### Instance methods

###### gupnp_media_collection_add_item

No description available.

###### gupnp_media_collection_get_author

No description available.

###### gupnp_media_collection_get_items

No description available.

###### gupnp_media_collection_get_mutable

No description available.

###### gupnp_media_collection_get_string

No description available.

###### gupnp_media_collection_get_title

No description available.

###### gupnp_media_collection_set_author

Set the author of the media collection.

###### gupnp_media_collection_set_title

Set the title of a `GUPnPMediaCollection`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GUPnPAV.MediaCollection:author

The author of this media collection.

###### GUPnPAV.MediaCollection:data

Block of data to parse a collection from. If data is set upon construction it will override the other properties and create a unmutable collection parsed from data.

###### GUPnPAV.MediaCollection:mutable

Whether this media collation is modifyable or not.

###### GUPnPAV.MediaCollection:title

The title of this media collection.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPAVMediaCollectionClass {
      GObjectClass parent_class;
      void (* _gupnp_reserved1) (
    void
      );
      void (* _gupnp_reserved2) (
    void
      );
      void (* _gupnp_reserved3) (
    void
      );
      void (* _gupnp_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gupnp_reserved1: void (* _gupnp_reserved1) ( void )`

  No description available.

`_gupnp_reserved2: void (* _gupnp_reserved2) ( void )`

  No description available.

`_gupnp_reserved3: void (* _gupnp_reserved3) ( void )`

  No description available.

`_gupnp_reserved4: void (* _gupnp_reserved4) ( void )`

  No description available.